std::discard_block_engine< _RandomNumberEngine, __p, __r > Class Template Reference
Numerics » Random Number Generation » Random Number Generators

## Public Types

typedef _RandomNumberEngine::result_type | result_type

## Public Member Functions

| discard_block_engine ()
| discard_block_engine (_RandomNumberEngine &&__rng)
template<typename _Sseq , typename = typename std::enable_if<!std::is_same<_Sseq, discard_block_engine>::value && !std::is_same<_Sseq, _RandomNumberEngine>::value> ::type>
| discard_block_engine (_Sseq &__q)
| discard_block_engine (const _RandomNumberEngine &__rng)
| discard_block_engine (result_type __s)
const _RandomNumberEngine & | base () const noexcept
void | discard (unsigned long long __z)
result_type | operator() ()
void | seed ()
template<typename _Sseq >
void | seed (_Sseq &__q)
void | seed (result_type __s)

## Static Public Member Functions

static constexpr result_type | max ()
static constexpr result_type | min ()

## Static Public Attributes

static constexpr size_t | block_size
static constexpr size_t | used_block

## Friends

template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > &__x)
bool | operator== (const discard_block_engine &__lhs, const discard_block_engine &__rhs)
template<typename _RandomNumberEngine1 , size_t __p1, size_t __r1, typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::discard_block_engine< _RandomNumberEngine1, __p1, __r1 > &__x)

## Detailed Description

### template<typename _RandomNumberEngine, size_t __p, size_t __r>
class std::discard_block_engine< _RandomNumberEngine, __p, __r >

Produces random numbers from some base engine by discarding blocks of data.

0 <= `__r` <= `__p`

Definition at line 846 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc